Get investment vaults
curl --request GET \
--url https://api.getnimbus.io/v2/farming/vaultsimport requests
url = "https://api.getnimbus.io/v2/farming/vaults"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getnimbus.io/v2/farming/vaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"chain": "<string>",
"protocol": {
"id": "<string>",
"name": "<string>"
},
"type": "LP",
"apr": 123,
"apy": 123,
"apr_rewards": 123,
"totalApr": 123,
"totalApy": 123,
"tvl": 123,
"coins": [
"<string>"
],
"rewards": {
"tokens": [
{
"token_address": "<string>",
"token_name": "<string>",
"token_symbol": "<string>",
"logo": "<string>"
}
]
},
"farmLink": "<string>",
"label": [
"<string>"
],
"logos": [
"<string>"
]
}
],
"pagination": {
"total": 123,
"limit": 123,
"offset": 123
}
}Farming
Get investment vaults
GET
/
v2
/
farming
/
vaults
Get investment vaults
Query Parameters
Query pools/vaults involve with token address (optional, default is "")
Query chain
Available options:
SUI, TON, SOL, ECLIPSE filter total value locked (optional, default is "")
Available options:
< 100K, 100K - 500K, 500K - 1M, > 1M filter apy (optional, default is "")
Available options:
< 5%, 5% - 25%, 25% - 50%, > 50% filter protocol (optional, default is "")
filter type (optional, default is "")
Available options:
LP, VAULT, STAKING, LENDING, BORROW filter tags (optional, default is empty)
Available options:
stable_yield, low_risk, high_risk_high_return, airdrop The order by (optional, default is "tvl")
The sort (optional, default is "desc")
The limit (optional, default is 100)
The offset (optional, default is 0)

